Skip to content
View Markdown

GET disk-scoped actor instance

GET/v1/actor/{name}/disks/{disk}/instances/{instance}/fetch
GET
/v1/actor/{name}/disks/{disk}/instances/{instance}/fetch
curl --request GET \
--url https://api.wabe.sh/v1/actor/chat/disks/demo/instances/room-1/fetch \
--header 'Authorization: Bearer <token>'

The project key authorizes the call and selects the namespace. Wabe creates the named disk if needed and consumes the project key before forwarding the request. See the actor transport protocol.

name
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat

Registration name in the current project.

disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Disk name in the current project.

instance
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

room-1

Instance name on the selected actor and disk.

WebSocket upgrade.

Handler response. Streaming handlers can return an event stream.

Handler status, headers and body, or a broker error.